Bug 59193 - metamail fails with multipart/alternative
metamail fails with multipart/alternative
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: metamail (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-01 17:33 EST by Lee Howard
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:15:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a copy of the Klez worm in mail format (108.07 KB, patch)
2002-02-01 17:34 EST, Lee Howard
no flags Details | Diff

  None (edit)
Description Lee Howard 2002-02-01 17:33:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; T312461)

Description of problem:
As noted in the manpage, metamail is faulty when handling multipart/alternative 
content types.  This is troublesome when using metamail in conjunction with a 
virus scanner.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
This bug is evoked by the Worm.Klez virus:

[lee@bilbo virus]$ cat klez.mail | metamail -w
From: indicedivx <indicedivx@cesarmf.com>
To: patches@hylafax.org
Subject: Your password
Date: Fri, 1 Feb 2002 18:24:23 +0800

Ignoring unparsable content-type parameter: ''
Cannot handle any part of multipart/alternative message
[lee@bilbo virus]$

Expected Results:  It should have behaved identically to when it runs 
multipart/mixed :

[lee@bilbo virus]$ cat klez.mail | sed 's/alternative/mixed/' | metamail -w
From: indicedivx <indicedivx@cesarmf.com>
To: patches@hylafax.org
Subject: Your password
Date: Fri, 1 Feb 2002 18:24:23 +0800

Ignoring unparsable content-type parameter: ''


This message contains 'text/html`-format data.
Please enter the name of a file to which the data should be written
(Default: /tmp/mm.PCbtrL) >
Wrote file /tmp/mm.PCbtrL


This message contains 'application/octet-stream`-format data.
Please enter the name of a file to which the data should be written
(Default: class.17935DEFANGED-bat) >
Wrote file class.17935DEFANGED-bat


This message contains 'application/octet-stream`-format data.
Please enter the name of a file to which the data should be written
(Default: PASSACT.17935DEFANGED-HTM) >
Wrote file PASSACT.17935DEFANGED-HTM
[lee@bilbo virus]$

Additional info:

I will attach a copy of klez.mail
Comment 1 Lee Howard 2002-02-01 17:34:20 EST
Created attachment 44316 [details]
a copy of the Klez worm in mail format
Comment 2 Bill Nottingham 2006-08-07 14:52:17 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 3 Bill Nottingham 2006-10-18 12:15:34 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.